wxcore-0.90.0.3: wxHaskell core

Portability | portable
Stability | provisional
Maintainer | wxhaskell-devel@lists.sourceforge.net
Safe Haskell | None

Graphics.UI.WXCore.Defines

Contents

- GUI toolkit
- Files

Description

Exports standard defines of wxWindows.

Synopsis

- data WxToolkit
  - = WxGTK
  - | WxMac
  - | WxMSW
  - | WxMotif
  - | WxMGL
  - | WxUniversal
  - | WxOSTwo
  - | WxXEleven
  - | WxUnknown
- wxToolkit :: WxToolkit
- wxVersion :: Int
- getAbsoluteFilePath :: FilePath -> IO FilePath
- dirSep :: String
- pathSep :: String

# GUI toolkit

data WxToolkit

wxWindows library kinds.

Constructors

WxGTK | GTK
WxMac | MacOS
WxMSW | Any windows
WxMotif |
WxMGL | SciTech soft MGL
WxUniversal |
WxOSTwo | OS/2
WxXEleven | X11
WxUnknown |

Instances

Enum WxToolkit |
Eq WxToolkit |
Show WxToolkit |

wxToolkit :: WxToolkit

Get the current wxWindows library kind.

wxVersion :: Int

Return the version of the wxWIndows library. It is composed of the major version times 1000, plus the minor version times 100, plus the release number. For example, version 2.1.15 would be 2115.

# Files

getAbsoluteFilePath :: FilePath -> IO FilePath

Find a file relative to the application or current directory. (absolute paths are passed without modification). This allows one to access resources relative to the installation directory in a portable way.

dirSep :: String

Deprecated: Use System.FilePath module and/or its module's pathSeparator instead

deprecated: Use System.FilePath module and/or its module's `pathSeparator` instead.

pathSep :: String

Deprecated: Use System.FilePath module's searchPathSeparator instead

deprecated: Use System.FilePath module's `searchPathSeparator` instead.